Upstream information

CVE-2021-39358 at MITRE

Description

In GNOME libgfbgraph through 0.2.4, gfbgraph-photo.c does not enable TLS certificate verification on the SoupSessionSync objects it creates, leaving users vulnerable to network MITM attacks. NOTE: this is similar to CVE-2016-20011.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 7.5
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1189850 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Package Hub 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • gfbgraph-devel >= 0.2.3-150000.3.5.1
  • libgfbgraph-0_2-0 >= 0.2.3-150000.3.5.1
  • typelib-1_0-GFBGraph-0_2 >= 0.2.3-150000.3.5.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2876
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • gfbgraph-devel >= 0.2.3-150000.3.5.1
  • libgfbgraph-0_2-0 >= 0.2.3-150000.3.5.1
  • typelib-1_0-GFBGraph-0_2 >= 0.2.3-150000.3.5.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2876
SUSE-SLE-Product-WE-15-SP3-2022-2876
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Linux Enterprise Workstation Extension 15 SP4
  • gfbgraph-devel >= 0.2.5-150400.1.8
  • libgfbgraph-0_2-0 >= 0.2.5-150400.1.8
  • typelib-1_0-GFBGraph-0_2 >= 0.2.5-150400.1.8
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP4 GA gfbgraph-devel-0.2.5-150400.1.8
SUSE Linux Enterprise Workstation Extension 15 SP3
  • gfbgraph-devel >= 0.2.3-150000.3.5.1
  • libgfbgraph-0_2-0 >= 0.2.3-150000.3.5.1
  • typelib-1_0-GFBGraph-0_2 >= 0.2.3-150000.3.5.1
Patchnames:
SUSE-SLE-Product-WE-15-SP3-2022-2876
openSUSE Leap 15.3
  • gfbgraph-devel >= 0.2.3-150000.3.5.1
  • libgfbgraph-0_2-0 >= 0.2.3-150000.3.5.1
  • typelib-1_0-GFBGraph-0_2 >= 0.2.3-150000.3.5.1
Patchnames:
openSUSE-SLE-15.3-2022-2876
openSUSE Leap 15.4
  • libgfbgraph-0_2-0 >= 0.2.5-150400.1.8
Patchnames:
openSUSE Leap 15.4 GA libgfbgraph-0_2-0-0.2.5-150400.1.8
openSUSE Tumbleweed
  • gfbgraph-devel >= 0.2.5-1.1
  • gfbgraph-doc >= 0.2.5-1.1
  • libgfbgraph-0_2-0 >= 0.2.5-1.1
  • typelib-1_0-GFBGraph-0_2 >= 0.2.5-1.1
Patchnames:
openSUSE Tumbleweed GA gfbgraph-devel-0.2.5-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 gfbgraph Released
SUSE Linux Enterprise Desktop 15 SP4 gfbgraph Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 gfbgraph Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP4 gfbgraph Already fixed
SUSE Linux Enterprise Server 15 SP4 gfbgraph Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gfbgraph Already fixed
SUSE Linux Enterprise Workstation Extension 15 SP4 gfbgraph Already fixed
SUSE Manager Proxy 4.2 gfbgraph Released
SUSE Manager Proxy 4.3 gfbgraph Already fixed
SUSE Manager Retail Branch Server 4.2 gfbgraph Released
SUSE Manager Retail Branch Server 4.3 gfbgraph Already fixed
SUSE Manager Server 4.2 gfbgraph Released
SUSE Manager Server 4.3 gfbgraph Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 gfbgraph Released
SUSE Linux Enterprise Server 15 SP1 gfbgraph Affected
SUSE Linux Enterprise Server 15 SP2 gfbgraph Unsupported
SUSE Linux Enterprise Server 15 SP3 gfbgraph Released
SUSE Linux Enterprise Server for SAP Applications 15 gfbgraph Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gfbgraph Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gfbgraph Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gfbgraph Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 gfbgraph Affected
SUSE Linux Enterprise Desktop 15 SP1 gfbgraph Affected
SUSE Linux Enterprise Desktop 15 SP2 gfbgraph Unsupported
SUSE Linux Enterprise Desktop 15 SP3 gfbgraph Released
SUSE Linux Enterprise Module for Package Hub 15 SP3 gfbgraph Released
SUSE Linux Enterprise Server 15 gfbgraph Affected
SUSE Linux Enterprise Workstation Extension 15 gfbgraph Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 gfbgraph Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 gfbgraph Unsupported
SUSE Linux Enterprise Workstation Extension 15 SP3 gfbgraph Released
SUSE Package Hub 15 SP3 gfbgraph Released


SUSE Timeline for this CVE

CVE page created: Mon Aug 23 02:00:12 2021
CVE page last modified: Wed Feb 8 14:34:46 2023